### Method

# Camel DB reader_lock

since: 3.58

#### Declaration [src]

    void
    camel_db_reader_lock (
      CamelDB* cdb
    )

#### Description [src]

Acquires a reader lock on the `cdb`. It can be called multiple times. Call pair function `camel_db_reader_unlock()` to release it. it’s okay to call this function when a writer lock is already acquired by the calling thread.

Available since: 3.58